summaryrefslogtreecommitdiff
path: root/tests/rmdir
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rmdir')
-rwxr-xr-xtests/rmdir/fail-perm.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/rmdir/fail-perm.sh b/tests/rmdir/fail-perm.sh
index 4026201e3..985cb23bb 100755
--- a/tests/rmdir/fail-perm.sh
+++ b/tests/rmdir/fail-perm.sh
@@ -27,6 +27,6 @@ chmod a-w d || framework_failure_
# This rmdir command outputs two diagnostics.
# Before coreutils-5.1.2, it would mistakenly exit successfully.
# As of coreutils-5.1.2, it fails, as required.
-rmdir -p d d/e/f 2> /dev/null && fail=1
+returns_ 1 rmdir -p d d/e/f 2> /dev/null || fail=1
Exit $fail